<!doctype html>
<html>

<head>
  <meta name="generator" content="JSDoc 3.6.3">
  <meta charset="utf-8">
  <title>Source: ads/Ad.js</title>
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Karla:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Noto+Serif:400,400i,700,700i" type="text/css">
  <link rel="stylesheet" href="https://brick.a.ssl.fastly.net/Inconsolata:500" type="text/css">
  <link href="css/baseline.css" rel="stylesheet">
</head>

<body onload="prettyPrint()">
  <nav id="jsdoc-navbar" role="navigation" class="jsdoc-navbar">
    <div id="jsdoc-navbar-container">
      <div id="jsdoc-navbar-content">
        <a href="index.html" class="jsdoc-navbar-package-name">Home</a>
      </div>
    </div>
  </nav>
  <div id="jsdoc-body-container">
    <div id="jsdoc-content">
      <div id="jsdoc-content-container">
        <div id="jsdoc-banner" role="banner">
        </div>
        <div id="jsdoc-main" role="main">
          <header class="page-header">
            <h1>Source: ads/Ad.js</h1>
          </header>
          <article>
            <pre class="prettyprint linenums"><code>import { Component } from &#x27;preact&#x27;

/**
 * bazowa klasa do dalszego tworzenia okreslonych formatów
 * @class Ad
 */
export class Ad extends Component {
  constructor (props, state) {
    super(props, state)

    /**
     * tablica przechowująca klasy css dla głównego elementu komponentu
     * @type {String[]}
     */
    this.cssClasses &#x3D; []

    if (!(&#x27;style&#x27; in this.props)) this.props.style &#x3D; {}

    this.state.lifecycle &#x3D; &#x27;initialized&#x27;

    /**
     * liczba zasobów aktualnie preloadowanych przez komponent
     * @type {number}
     */
    this.state.preloading &#x3D; 0
  }

  /**
   * callback wywoływany, gdy komponent zamontował się poprawnie i wszystkie zasoby zostały załadowane
   */
  onReady () {
    this.setState({ lifecycle: &#x27;ready&#x27; })
    if (typeof this.props.onReady &#x3D;&#x3D;&#x3D; &#x27;function&#x27;) this.props.onReady()
  }

  /**
   * zwraca bieżący komplet klas dla głównego pojemnika
   * @return {string}
   */
  classNames () {
    return (this.cssClasses.concat(this.props.classNames)).explode(&#x27;, &#x27;)
  }

  render () {
    return (
      &amp;lt;div className&#x3D;{this.classNames()} style&#x3D;{this.props.style}&gt;&amp;lt;/div&gt;
    )
  }
}
</code></pre>
          </article>
        </div>
      </div>
      <nav id="jsdoc-toc-nav" role="navigation"></nav>
    </div>
  </div>
  <footer id="jsdoc-footer" class="jsdoc-footer">
    <div id="jsdoc-footer-container">
      <p>
        Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc</a> 3.6.3 on August 23, 2019.
      </p>
    </div>
  </footer>
  <script src="scripts/jquery.min.js"></script>
  <script src="scripts/jquery.cookie.js"></script>
  <script src="scripts/tree.jquery.js"></script>
  <script src="scripts/prettify.js"></script>
  <script src="scripts/jsdoc-toc.js"></script>
  <script src="scripts/linenumber.js"></script>
  <script src="scripts/scrollanchor.js"></script>
</body>

</html>